!set title=Solución cuadrática 2x2
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=es
author=XIAO Gang
email=xiao@unice.fr
leftrange=-5.000000
rightrange=5.000000
precision=10000

ansorder=r,r,r,r
varcnt=8
prevarcnt=7
postvarcnt=0
replycnt=4
choicecnt=0
conditioncnt=2
feedbackcnt=0
format=tex

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=A
val7=I
tmp0=!randint 2, 8

tmp1=!randitem -1,1

val8=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 8

tmp1=!randitem -1,1

val9=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 1, 8

tmp1=!randitem -1,1

val10=$[rint($(tmp0)*$(tmp1))]

!ifval $val9>0
val11=+$val9
!else
val11=$val9
!endif

!ifval $val10>0
val12=+$val10
!else
val12=$val10
!endif
replyname1=<i>a</i>
replygood1=?analyze 13
replyname2=<i>b</i>
replygood2=?analyze 14
replyname3=<i>c</i>
replygood3=?analyze 15
replyname4=<i>d</i>
replygood4=?analyze 16
question=!nosubst Encontrar una matriz &#36;A=\pmatrix{a&b\cr c&d}&#36;	que verifique la ecuación &#36;$val6^2$val11$val6$val12$val7=0&#36;, donde los coeficientes	&#36;a, b, c, d&#36; son números enteros no nulos.	

!goto stat

!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!ifval $val13+($val16)=-($val9) and ($val13)*($val16)-($val14)*($val15)=$val10
 condtest1=1
!else
 condtest1=0
!endif
condname1=A verifica la ecuación

!ifval $val13*($val14)*($val15)*($val16)!=0 and floor($val13)=$val13 and floor($val14)=$val14 and	floor($val15)=$val15 and floor($val16)=$val16
 condtest2=1
!else
 condtest2=0
!endif
condname2=a,b,c,d son enteros no nulos

!exit

:stat
vsavelist=6,7,9,10,11,12,13,14,15,16
embedcnt=0
